# DependencyResult

interface DependencyResult

An edge in the dependency graph. Provides information about the origin of the dependency and the requested component.

#### See also

ResolutionResult

#### Inheritors

ResolvedDependencyResult
UnresolvedDependencyResult

## Functions

getFrom
Link copied to clipboard
abstract fun getFrom(): ResolvedComponentResult
Returns the origin of the dependency.
getRequested
Link copied to clipboard
abstract fun getRequested(): ComponentSelector
Returns the requested component.
isConstraint
Link copied to clipboard
abstract fun isConstraint(): Boolean
Indicates if this dependency edge originated from a dependency constraint.